export const GAME_STARTING_DATE = '2022-03-22'
export const BXL_TZ = 'Europe/Brussels'

export const LSK_DARKMODE = 'n0_dark'
export const LSK_LOCALE = 'n0_locale'
export const LSK_STATS = 'n0_stats'

export const operators = ['+', '-', '*', '/'] as const

export const normalPools = {
  1: [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 25, 50],
  2: [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10],
  3: [5, 5, 5, 5, 5, 2, 2, 2, 2, 2],
  4: [1, 1, 2, 3, 5, 8, 13, 21],
} as const

export const advancedPools = {
  1: [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 25, 50, 75, 100],
  2: [2, 2, 3, 3, 5, 5, 7, 7, 11, 13, 17, 19, 23],
  3: [5, 5, 5, 5, 5, 2, 2, 2, 2, 2],
  4: [1, 1, 2, 3, 5, 8, 13, 21],
} as const

export enum GameStateType {
  Undefined = 0,
  Waiting = 1,
  Loading = 2,
  Playing = 3,
}

export enum GameDifficultyType {
  Normal = 1,
  Hard = 2,
}
